iotoms Docs

Export daily cash report as PDF

GET
/api/v1/reports/financial/daily-cash/export

Downloads the daily cash reconciliation for the date range as a PDF file. from and to default to today.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

from?string

ISO date (YYYY-MM-DD), defaults to today

Formatdate
to?string

ISO date (YYYY-MM-DD), defaults to today

Formatdate

Header Parameters

X-TenantID*string

Your merchant's tenant code — the value typed in the Domain field on the iotoms login screen. See Concepts.

Response Body

OK

response?stringapplication/pdf
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/reports/financial/daily-cash/export' \  -H 'X-TenantID: your-tenant-code'
Example Response
"string"